Ubuntu

flashplugin-installer still installs i386 plugin version, though native 64 bit plugin available

Reported by Jan Rathmann on 2011-10-08
292
This bug affects 87 people
Affects Status Importance Assigned to Milestone
flashplugin-nonfree (Ubuntu)
Undecided
Marc Deslauriers
Lucid
Undecided
Marc Deslauriers
Maverick
Undecided
Marc Deslauriers
Natty
Undecided
Marc Deslauriers
Oneiric
Undecided
Marc Deslauriers
Precise
Undecided
Marc Deslauriers

Bug Description

Hello,

with the release of Flash plugin 11, there is now a native 64 bit version avaiable for Linux:
http://eon.businesswire.com/news/eon/20110920007364/en/Adobe-Flash-Player/Adobe-AIR/Flash-Player-11

flashplugin-installer seems to have updated to version 11 in Oneric, but still the i386 version of libflashplayer.so gets installed (with nspluginwrapper). Since the i386 version can sometimes be buggy under amd64 (own experiences), I suggest switching to the finally avaiably native version on amd64.

Kind regards,
Jan

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: flashplugin-installer 11.0.1.152ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 1.23-0ubuntu2
Architecture: amd64
Date: Sat Oct 8 18:38:22 2011
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110928)
ProcEnviron:
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: flashplugin-nonfree
UpgradeStatus: No upgrade log present (probably fresh install)

Jan Rathmann (kaiserclaudius) wrote :

Same thing here with Kubuntu 10.04 LTS.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in flashplugin-nonfree (Ubuntu):
status: New → Confirmed
Marc Deslauriers (mdeslaur) wrote :

I am currently working on this, and will push packages to a PPA for testing before pushing them to -proposed.

Changed in flashplugin-nonfree (Ubuntu):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in flashplugin-nonfree (Ubuntu Lucid):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in flashplugin-nonfree (Ubuntu Maverick):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in flashplugin-nonfree (Ubuntu Natty):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in flashplugin-nonfree (Ubuntu Lucid):
status: New → Confirmed
Changed in flashplugin-nonfree (Ubuntu Maverick):
status: New → Confirmed
Changed in flashplugin-nonfree (Ubuntu Natty):
status: New → Confirmed
Marc Deslauriers (mdeslaur) wrote :

There are some preliminary packages for testing here:

https://launchpad.net/~mdeslaur/+archive/64bitflash

Installing them is at your own risk, and may prevent you from upgrading in the future.

Package flashplugin-installer installed without problems on Kubuntu 10.04 Lucid. Seems ok. Thanks!

flashplugin-installer tested in chromium and firefox. Worksforme. flashplugin-nonfree doesn't install but maybe that is intentional?

# apt-get install flashplugin-nonfree
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:
The following packages have unmet dependencies.
 flashplugin-nonfree : Depends: flashplugin-installer
E: Unable to correct problems, you have held broken packages.

# dpkg -i flashplugin-nonfree_11.0.1.152ubuntu0.10.04.2~ppa1_amd64.deb
Selecting previously deselected package flashplugin-nonfree.
dpkg: regarding flashplugin-nonfree_11.0.1.152ubuntu0.10.04.2~ppa1_amd64.deb containing flashplugin-nonfree:
 flashplugin-installer conflicts with flashplugin-nonfree (<< 11.0.1.152ubuntu1)
  flashplugin-nonfree (version 11.0.1.152ubuntu0.10.04.2~ppa1) is to be installed.
dpkg: error processing flashplugin-nonfree_11.0.1.152ubuntu0.10.04.2~ppa1_amd64.deb (--install):
 conflicting packages - not installing flashplugin-nonfree
Errors were encountered while processing:
 flashplugin-nonfree_11.0.1.152ubuntu0.10.04.2~ppa1_amd64.deb

btw I'm using Oneiric

Marc Deslauriers (mdeslaur) wrote :

@Chris: you tried to install the lucid packages on Oneiric. You should be installing the 11.0.1.152ubuntu2~ppa1 packages.

Oneiric flashplugin-nonfree is listed in http://ppa.launchpad.net/mdeslaur/64bitflash/ubuntu/dists/oneiric/main/binary-amd64/Packages as 11.0.0.98ubuntu0

Package: flashplugin-nonfree
Priority: optional
Section: web
Installed-Size: 40
Maintainer: Ubuntu Developers <email address hidden>
Architecture: amd64
Version: 11.0.1.98ubuntu0~0.11.10.md1

There is no 11.0.1.152ubuntu2 flashplugin-nonfree.

Marc Deslauriers (mdeslaur) wrote :

No, there is no flashplugin-nonfree package in Oneiric anymore. The binary flash package is called "flashplugin-installer". The flashplugin-nonfree package you see there is from an old version that I will go delete. Sorry for the confusion.

Jan Rathmann (kaiserclaudius) wrote :

Adding the PPA and installing flashplugin-installer worked without any problem.
The 64-bit plugin itself (I assume the package contains the same binary that is distributed on Adobe's website) is running here in daily use with Firefox for a month or so (I downloaded it manually), also without any visible bug or other problems.

Joel Ebel (jbebel) wrote :

Marc, I tested the ppa packages on Lucid. Works great. Thought it might be time to update the Homepage: value in the control file. It still points to http://wiki.ubuntu.com/FlashPlayer9

Stu Zhao (sao3) wrote :

Please release your fix.

Matthijs ten Kate (igadget) wrote :

I'm a bit confused... I tried installing your version using the PPA, but the system downloads and installs adobe-flashplugin instead:

matthijs@simba:/etc/apt$ sudo apt-get install flashplugin-nonfree
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'adobe-flashplugin' instead of 'flashplugin-nonfree'
adobe-flashplugin is already the newest version.

So it seems I'm already running the native 64 bit version, but it's not coming from your PPA. What's the difference?

@Matthijs ten Kate
You need to install flashplugin-installer, not flashplugin-nonfree.

Matthijs ten Kate (igadget) wrote :

@Eliah - thanks for your reply. I simply looked at the package which was mentioned on https://launchpad.net/~mdeslaur/+archive/64bitflash and tried that. But actually, the adobe-flashplugin package which is installed right now works quite nice (apart from some glitches in Flash presentations now and then), so I'll guess I'll just leave it at that ;-)

Michał Gołębiowski (mgol) wrote :

@Matthijs ten Kate
The adobe-flashplugin package already has 64-bit Flash... No need for a separate PPA repository.

flashplugin-installer amd64 appears to have been added to the multiverse repository:

Package: flashplugin-installer
Priority: optional
Section: multiverse/web
Installed-Size: 52
Maintainer: Ubuntu Developers <email address hidden>
Original-Maintainer: Bart Martens <email address hidden>
Architecture: amd64
Source: flashplugin-nonfree
Version: 11.1.102.55ubuntu0.11.10.1
Depends: flashplugin-downloader (>= 11.0.1.152ubuntu1), nspluginwrapper
Filename: pool/multiverse/f/flashplugin-nonfree/flashplugin-installer_11.1.102.55ubuntu0.11.10.1_amd64.deb

apt wants to upgrade from the PPA due to higher version, but the multiverse version appears to depend on many i386 packages. It is even suggesting firefox:i386.

Which version are we supposed to be using/testing now? (btw I haven't seen any problems with the PPA version)

Joel Ebel (jbebel) on 2011-11-16
summary: flashplugin-installer still installs i386 plugin version, though native
- 64 bit plugin avaiable
+ 64 bit plugin available
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flashplugin-nonfree - 11.1.102.55ubuntu3

---------------
flashplugin-nonfree (11.1.102.55ubuntu3) precise; urgency=low

  * Add native amd64 support (LP: #870835):
    - debian/control: change flashplugin-downloader to a transitional
      package, and switch flashplugin-installer back to the package that
      downloads and installs the binary so we can properly upgrade
      multiarch. Adjust Homepage and Description.
    - debian/flashplugin-installer.postinst: use $DPKG_MAINTSCRIPT_ARCH to
      fetch the right tarball, remove old nspluginwrapper alternatives.
      Switch links to download tarballs directly from Adobe instead of from
      the partner repository.
    - debian/rules: remove nspluginwrapper files.
    - debian/flashplugin-installer.*: remove flashplugin-installer-unpackdir
      directory migration, this was before hardy.
 -- Marc Deslauriers <email address hidden> Wed, 18 Jan 2012 16:35:02 -0500

Changed in flashplugin-nonfree (Ubuntu Precise):
status: Confirmed → Fix Released
tags: added: iso-testing

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/870835

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flashplugin-nonfree - 11.1.102.62ubuntu0.11.10.1

---------------
flashplugin-nonfree (11.1.102.62ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream release 11.1.102.62
    - debian/flashplugin-installer.{config,postinst}: Updated version and
      sha256sums.
    - CVE-2012-0752
    - CVE-2012-0753
    - CVE-2012-0754
    - CVE-2012-0755
    - CVE-2012-0756
    - CVE-2012-0757
  * Add native amd64 support (LP: #870835):
    - debian/control: change flashplugin-downloader to a transitional
      package, and switch flashplugin-installer back to the package that
      downloads and installs the binary so we can properly upgrade
      multiarch. Adjust Homepage.
    - debian/flashplugin-installer.postinst: use $DPKG_MAINTSCRIPT_ARCH to
      copy the right binary, remove old nspluginwrapper alternatives.
    - debian/rules: remove nspluginwrapper files.
    - debian/flashplugin-installer.*: remove flashplugin-installer-unpackdir
      directory migration, this was before hardy.
 -- Marc Deslauriers <email address hidden> Wed, 15 Feb 2012 17:37:28 -0500

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flashplugin-nonfree - 11.1.102.62ubuntu0.11.04.1

---------------
flashplugin-nonfree (11.1.102.62ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream release 11.1.102.62
    - debian/{config,postinst}: Updated version and sha256sums.
    - CVE-2012-0752
    - CVE-2012-0753
    - CVE-2012-0754
    - CVE-2012-0755
    - CVE-2012-0756
    - CVE-2012-0757
  * Add native amd64 support (LP: #870835):
    - debian/control: clean up depends, remove lpia, update description.
      Adjust Homepage.
    - debian/postinst: use $DPKG_MAINTSCRIPT_ARCH to copy the right binary,
      remove old nspluginwrapper alternatives.
    - debian/rules: remove nspluginwrapper files.
    - debian/{config,postinst,prerm}: remove flashplugin-installer-unpackdir
      directory migration, this was before hardy.
 -- Marc Deslauriers <email address hidden> Wed, 15 Feb 2012 17:42:24 -0500

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flashplugin-nonfree - 11.1.102.62ubuntu0.10.10.1

---------------
flashplugin-nonfree (11.1.102.62ubuntu0.10.10.1) maverick-security; urgency=low

  * New upstream release 11.1.102.62
    - debian/{config,postinst}: Updated version and sha256sums.
    - CVE-2012-0752
    - CVE-2012-0753
    - CVE-2012-0754
    - CVE-2012-0755
    - CVE-2012-0756
    - CVE-2012-0757
  * Add native amd64 support (LP: #870835):
    - debian/control: clean up depends, remove lpia, update description.
      Adjust Homepage.
    - debian/postinst: use $DPKG_MAINTSCRIPT_ARCH to copy the right binary,
      remove old nspluginwrapper alternatives.
    - debian/rules: remove nspluginwrapper files.
    - debian/{config,postinst,prerm}: remove flashplugin-installer-unpackdir
      directory migration, this was before hardy.
 -- Marc Deslauriers <email address hidden> Wed, 15 Feb 2012 17:47:11 -0500

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flashplugin-nonfree - 11.1.102.62ubuntu0.10.04.1

---------------
flashplugin-nonfree (11.1.102.62ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release 11.1.102.62
    - debian/{config,postinst}: Updated version and sha256sums.
    - CVE-2012-0752
    - CVE-2012-0753
    - CVE-2012-0754
    - CVE-2012-0755
    - CVE-2012-0756
    - CVE-2012-0757
  * Add native amd64 support (LP: #870835):
    - debian/control: clean up depends, remove lpia, update description.
      Adjust Homepage.
    - debian/postinst: use $DPKG_MAINTSCRIPT_ARCH to copy the right binary,
      remove old nspluginwrapper alternatives.
    - debian/rules: remove nspluginwrapper files.
    - debian/{config,postinst,prerm}: remove flashplugin-installer-unpackdir
      directory migration, this was before hardy.
 -- Marc Deslauriers <email address hidden> Wed, 15 Feb 2012 17:49:55 -0500

Changed in flashplugin-nonfree (Ubuntu Lucid):
status: Confirmed → Fix Released
Changed in flashplugin-nonfree (Ubuntu Maverick):
status: Confirmed → Fix Released
Changed in flashplugin-nonfree (Ubuntu Natty):
status: Confirmed → Fix Released
Changed in flashplugin-nonfree (Ubuntu Oneiric):
status: Confirmed → Fix Released
Wim Deblauwe (wim-deblauwe) wrote :

Is there a way to get back the previous i386 plugin? The problem is that there is no 64-bit debug flash player available. Since I received this update today, I can no longer debug my flash application. If I copy the 32-bit debug flash player to /usr/lib/flashplugin-installer/ like I used to do before, flash no longer works in firefox.

I am using Ubuntu 11.10 64-bit.

Wim Deblauwe (wim-deblauwe) wrote :

I managed to find the workaround myself:

First install the 'nspluginwrapper':

sudo apt-get install nspluginwrapper

Then copy the debug player to the correct location:

sudo cp libflashplayer.so /usr/lib/flashplugin-installer/

Next, call nspluginwrapper:

sudo nspluginwrapper -i /usr/lib/flashplugin-installer/libflashplayer.so

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers